local mirko = import "../../kube/mirko.libsonnet";
local kube = import "../../kube/kube.libsonnet";

{
    cfg:: {
        image: "registry.k0.hswaw.net/q3k/hswaw-site@sha256:ba8b5ca2aab81edd7a1f5bcc1e75253d7573e199463e7e56aaf18ad4380d681b",
        webFQDN: error "webFQDN must be set",
    },

    component(cfg, env):: mirko.Component(env, "site") {
        local site = self,
        cfg+: {
            image: cfg.image,
            container: site.GoContainer("main", "/hswaw/site/site") {
            },
            ports+: {
                publicHTTP: {
                    web: {
                        port: 8080,
                        dns: cfg.webFQDN,
                    }
                },
            },
        },
    },
}
